<?php /* Smarty version 2.6.12, created on 2015-12-14 19:30:24
         compiled from network.html */ ?>
<!--
/*
* (C) 2013-2015 iDorMobile LCC, telpho GmbH
*
* Version: 1.6.0
*
*/
-->
<?php echo '
<script type="text/javascript">

function save() {
	
	if (window.XMLHttpRequest) {
		myAjax = new XMLHttpRequest();
	} else {
		//Dieser Code wird als Fallback für den IE5 und IE6 benötigt, da diese die obrige Schreibweise nicht unterstützen.
		myAjax = new ActiveXObject("Microsoft.XMLHTTP");
	}

	var dhcp = document.getElementById("dhcp").checked;
	var address = document.getElementById("address").value;
	var subnetmask = document.getElementById("subnetmask").value;
	var gateway = document.getElementById("gateway").value;
    var dnsserver = document.getElementById("dnsserver").value;
    var dnsserver2 = document.getElementById("dnsserver2").value;

    var cmd = "action=save" +
		"&dhcp=" + dhcp +
		"&address=" + address +
		"&subnetmask=" + subnetmask +
		"&gateway=" + gateway +
        "&dnsserver=" + dnsserver +
        "&dnsserver2=" + dnsserver2;

	myAjax.open("POST","network_ajax.php");
	myAjax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	myAjax.send(cmd);

	myAjax.onreadystatechange = function() {
		if (myAjax.readyState == 4 && myAjax.status == 200) {
			if (myAjax.responseText == "ok") {
                if (confirm("Are you sure to save? this will restart the network!")) {
                    document.getElementById("my_action").value = "save";
                    var o_form = document.getElementById("network");
                    o_form.submit();
                }
			} else {
				alert(myAjax.responseText);
			}
		}
	};

}

function dhcp_change() {
    var value = document.getElementById("dhcp").checked;
    if (value) {
        document.getElementById("address").disabled = true;
        document.getElementById("subnetmask").disabled = true;
        document.getElementById("gateway").disabled = true;
        document.getElementById("dnsserver").disabled = true;
        document.getElementById("dnsserver2").disabled = true;
    } else {
        document.getElementById("address").disabled = false;
        document.getElementById("subnetmask").disabled = false;
        document.getElementById("gateway").disabled = false;
        document.getElementById("dnsserver").disabled = false;
        document.getElementById("dnsserver2").disabled = false;
    }
}

function do_onload() {
    var e = document.getElementById("wanaddress");
    e.focus();
    e.setSelectionRange(100,100);
}

</script>

'; ?>

<body onLoad="do_onload()">
<form id="network" name="network" action="network.php" method="POST">
	<input id="my_action" name="my_action" type="hidden">
	<h2>
		Network
	</h2>
    <table border="0">
        <tr>
            <td>
                <input type="button" value="Save" onclick="save()">
            </td>
        </tr>
    </table>
    <h3></h3>
	<table border="0">
        <tr>
            <td width="200px">WAN Address</td>
            <td><input id="wanaddress" name="wanaddress" type="text" value="<?php echo $this->_tpl_vars['lan']['wanaddress']; ?>
"></td>
        </tr>
        <tr>
            <td width="200px">DHCP</td>
            <td><input id="dhcp" name="dhcp" type="checkbox" onclick="dhcp_change()" <?php if ($this->_tpl_vars['lan']['dhcp'] == '1'): ?> checked<?php endif; ?>></td>
        </tr>
        <tr>
            <td width="200px">IP Address</td>
            <td><input id="address" name="address" type="text" value="<?php echo $this->_tpl_vars['lan']['address']; ?>
" <?php if ($this->_tpl_vars['lan']['dhcp'] == '1'): ?> disabled<?php endif; ?>></td>
        </tr>
        <tr>
            <td width="200px">Subnet Mask</td>
            <td><input id="subnetmask" name="subnetmask" type="text" value="<?php echo $this->_tpl_vars['lan']['subnetmask']; ?>
" <?php if ($this->_tpl_vars['lan']['dhcp'] == '1'): ?> disabled<?php endif; ?>></td>
        </tr>
        <tr>
            <td width="200px">Default Gateway</td>
            <td><input id="gateway" name="gateway" type="text" value="<?php echo $this->_tpl_vars['lan']['gateway']; ?>
" <?php if ($this->_tpl_vars['lan']['dhcp'] == '1'): ?> disabled<?php endif; ?>></td>
        </tr>
		<tr>
			<td width="200px">DNS Server</td>
			<td><input id="dnsserver" name="dnsserver" type="text" value="<?php echo $this->_tpl_vars['lan']['dnsserver']; ?>
" <?php if ($this->_tpl_vars['lan']['dhcp'] == '1'): ?> disabled<?php endif; ?>></td>
		</tr>
        <tr>
            <td width="200px">DNS Server 2</td>
            <td><input id="dnsserver2" name="dnsserver2" type="text" value="<?php echo $this->_tpl_vars['lan']['dnsserver2']; ?>
" <?php if ($this->_tpl_vars['lan']['dhcp'] == '1'): ?> disabled<?php endif; ?>></td>
        </tr>
	</table>

</form>