<?php /* Smarty version 2.6.12, created on 2015-12-14 14:54:54
         compiled from apartment.html */ ?>
<!--
/*
* (C) 2013-2015 iDorMobile LCC, telpho GmbH
*
* Version: 1.6.0
*
*/
-->
<?php echo '
<script type="text/javascript">

function save(user_level) {
	
	if (user_level > 0) {
		if (window.XMLHttpRequest) {
			myAjax = new XMLHttpRequest();
		} else {
			//Dieser Code wird als Fallback für den IE5 und IE6 benötigt, da diese die obrige Schreibweise nicht unterstützen.
			myAjax = new ActiveXObject("Microsoft.XMLHTTP");
		}

		var id = document.getElementById("my_id").value;
		var number = document.getElementById("number").value;
		var caller_number = document.getElementById("caller_number").value;
		var cmd = "action=save&id=" + id + "&number=" + number + "&caller_number=" + caller_number;

		myAjax.open("POST","apartment_ajax.php");
		myAjax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		myAjax.send(cmd);

		myAjax.onreadystatechange = function() {
			if (myAjax.readyState == 4 && myAjax.status == 200) {
				if (myAjax.responseText == "ok") {
					document.getElementById("my_action").value = "save";
					var o_form = document.getElementById("apartment");
					o_form.submit();
				} else {
					alert(myAjax.responseText);
				}
			}
		};
	} else {
		document.getElementById("my_action").value = "save";
		var o_form = document.getElementById("apartment");
		o_form.submit();
	}
}

function device_new() {

    var id = document.getElementById("my_id").value;

    self.location = "device.php?action=new&id=0&parent_id="+ id + "&parent_page=apartment.php";

}

function device_delete(entry_id, id, parent_page,message) {
	var b = confirm(message);

	if (b) {
		self.location.href = "apartment.php?action=delete_device&entry_id=" + entry_id + "&id=" + id + "&parent_page=" + parent_page;
	} else {
		return;
	}
}

function call_routing_add() {
	document.getElementById("my_action").value = "new_call_routing";
	var o_form = document.getElementById("apartment");
	o_form.submit();
}

function call_routing_delete(entry_id, id, parent_page,message) {
	var b = confirm(message);

	if (b) {
		self.location.href = "apartment.php?action=delete_call_routing&entry_id=" + entry_id + "&id=" + id + "&parent_page=" + parent_page;
	} else {
		return;
	}
}

function back() {
	document.getElementById("my_action").value = "back";
	var o_form = document.getElementById("apartment");
	o_form.submit();
}

function prev() {
    var id = document.getElementById("my_id").value;
    if (id > 0) {
        document.getElementById("my_action").value = "prev";
        var o_form = document.getElementById("apartment");
        o_form.submit();
    }
}

function next() {
    var id = document.getElementById("my_id").value;
    if (id > 0) {
        document.getElementById("my_action").value = "next";
        var o_form = document.getElementById("apartment");
        o_form.submit();
    }
}

function update_status() {
	
	if (window.XMLHttpRequest) {
		myAjax = new XMLHttpRequest();
	} else {
		//Dieser Code wird als Fallback für den IE5 und IE6 benötigt, da diese die obrige Schreibweise nicht unterstützen.
		myAjax = new ActiveXObject("Microsoft.XMLHTTP");
	}
	var act_devices = document.getElementById("act_devices").value;
	var cmd = "action=update_status&act_devices=" + act_devices;
	myAjax.open("POST","apartment_ajax.php");
	myAjax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	myAjax.send(cmd);
	
	myAjax.onreadystatechange = function() {
		if (myAjax.readyState == 4 && myAjax.status == 200) {
			var ret = myAjax.responseText;
			var arr_out = ret.split("#");
			for (i=0;i<arr_out.length;i++) {
				var arr_in = arr_out[i].split("|");
				document.getElementById("devices_status_" + arr_in[0]).innerHTML = arr_in[1];
                document.getElementById("devices_ip_address_" + arr_in[0]).innerHTML = arr_in[2];
			}
		}
	};
}

function do_tick() {
	tick_apartment = setInterval("update_status()", 2000);
    var e = document.getElementById("number");
    e.focus();
    e.setSelectionRange(100,100);
}

</script>
'; ?>

<body onLoad="do_tick()"></body>
<form id="apartment" name="apartment" action="apartment.php" method="POST">
	<input id="my_id" name="my_id" type="hidden" value="<?php echo $this->_tpl_vars['my_id']; ?>
">
	<input id="my_parent_page" name="my_parent_page" type="hidden" value="<?php echo $this->_tpl_vars['my_parent_page']; ?>
">
	<input id="my_action" name="my_action" type="hidden">
	<input id="act_devices" name="act_devices" type="hidden" value="<?php echo $this->_tpl_vars['act_devices']; ?>
">
	<h2>
		Apartment:&nbsp;<?php echo $this->_tpl_vars['item']['number']; ?>

	</h2>
    <table border="0">
        <tr>
            <td>
                <?php if ($this->_tpl_vars['user_level'] > 0): ?>
                <input type="button" value="Back" onclick="back()">
                <input type="button" value="Prev" onclick="prev()">
                <input type="button" value="Next" onclick="next()">
                <?php endif; ?>
                <input type="button" value="Save" onclick="save('<?php echo $this->_tpl_vars['user_level']; ?>
')">
            </td>
        </tr>
    </table>
	<h3></h3>
	<table border="0">
		<tr>
			<td width="200px">Number</td>
			<td>
				<input id="number_orig" name="number_orig" type="hidden" value="<?php echo $this->_tpl_vars['item']['number']; ?>
">
				<input id="number" name="number" type="text" value="<?php echo $this->_tpl_vars['item']['number']; ?>
" <?php if ($this->_tpl_vars['user_level'] == 0): ?> disabled<?php endif; ?>>
			</td>
		</tr>
        <tr>
            <td width="200px">Name</td>
            <td><input id="name" name="name" type="text" value="<?php echo $this->_tpl_vars['item']['name']; ?>
"></td>
        </tr>
		<tr>
			<td width="200px">Caller Number</td>
			<td>
				<input id="caller_number_orig" name="caller_number_orig" type="hidden" value="<?php echo $this->_tpl_vars['item']['caller_number']; ?>
">
				<input id="caller_number" name="caller_number" type="text" value="<?php echo $this->_tpl_vars['item']['caller_number']; ?>
"<?php if ($this->_tpl_vars['user_level'] == 0): ?> disabled<?php endif; ?>>
			</td>
		</tr>
        <?php if (intval ( $this->_tpl_vars['my_id'] ) != 0): ?>
        <tr>
            <td width="200px">Auto Discovery Key</td>
            <td><input id="config_key" name="config_key" type="text" value="<?php echo $this->_tpl_vars['item']['config_key']; ?>
"<?php if ($this->_tpl_vars['user_level'] == 0): ?> disabled<?php endif; ?>></td>
        </tr>
        <?php endif; ?>
        <tr>
            <td width="200px">Password</td>
            <td><input id="password" name="password" type="text" value="<?php echo $this->_tpl_vars['item']['password']; ?>
" ></td>
        </tr>
        <tr>
            <td width="200px">E-Mail</td>
            <td><input id="contact_email" name="contact_email" type="text" value="<?php echo $this->_tpl_vars['item']['contact_email']; ?>
"></td>
        </tr>
		<tr>
			<td width="200px">Phone Number</td>
			<td><input id="contact_number" name="contact_number" type="text" value="<?php echo $this->_tpl_vars['item']['contact_number']; ?>
"></td>
		</tr>
        <tr>
            <td width="200px">Rollover to PSTN</td>
            <td>
                <input id="contact_number_use" name="contact_number_use" type="checkbox"<?php if ($this->_tpl_vars['item']['contact_number_use'] == '1'): ?> checked<?php endif; ?>>
            </td>
        </tr>
	</table>
	<?php if (intval ( $this->_tpl_vars['my_id'] ) > 0): ?> 
	<h3>
		Devices&nbsp;&nbsp;
        <input type="button" value="New" onclick="device_new()">
	</h3>
	<table border="0">
		<tr>
			<td>
				<table width="100%" border="0">
					<tr class="heading_table">
						<td width="30px">&nbsp;</td>
						<td width="200px"><B>Name</B></td>
						<td width="100px"><B>Username</B></td>
                        <td width="100px"><B>Device</B></td>
                        <td width="30px">&nbsp;</td>
						<td width="80px"><B>Active</B></td>
						<td width="100px"><B>Status</B></td>
                        <td width="100px"><B>IP Address</B></td>
						<td width="5px">&nbsp;</td>
						<td>&nbsp;</td>
					</tr>
					<?php $_from = $this->_tpl_vars['devices']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['device']):
?>
					<tr>
						<td width="40px">
                            <a href="device.php?action=edit&id=<?php echo $this->_tpl_vars['device']['id']; ?>
&parent_id=<?php echo $this->_tpl_vars['my_id']; ?>
&parent_page=apartment.php">
                                <img src="images/edit.gif" title="Edit Device" border="0"></a>
						</td>
						<td width="200px"><?php echo $this->_tpl_vars['device']['name']; ?>
</td>
						<td width="100px"><?php echo $this->_tpl_vars['device']['username']; ?>
</td>
                        <td width="100px"><?php echo $this->_tpl_vars['device']['device_type']; ?>
</td>
                        <td width="40px">
                            <a href="javascript:device_delete(<?php echo $this->_tpl_vars['device']['id']; ?>
,<?php echo $this->_tpl_vars['my_id']; ?>
,'apartments.php','Delete Device?')">
                                <img border="0" src="images/delete.gif" title="Delete Device"></a>
                        </td>
						<td width="80px"><?php if ($this->_tpl_vars['device']['active'] == '1'): ?>yes<?php else: ?>no<?php endif; ?></td>
						<td width="100px"><span id="devices_status_<?php echo $this->_tpl_vars['device']['username']; ?>
"><?php echo $this->_tpl_vars['devices_status'][$this->_tpl_vars['device']['username']]; ?>
</span></td>
                        <td width="100px"><span id="devices_ip_address_<?php echo $this->_tpl_vars['device']['username']; ?>
"><?php echo $this->_tpl_vars['devices_ip_address'][$this->_tpl_vars['device']['username']]; ?>
</span></td>
						<td width="5px">&nbsp;</td>
						<td>&nbsp;</td>
					</tr>
					<?php endforeach; endif; unset($_from); ?>
				</table>
			</td>
		</tr>
	</table>
	<h3>
		Call Routings&nbsp;&nbsp;
        <input type="button" value="New" onclick="call_routing_add()">
	</h3>
	<table border="0">
		<tr>
			<td>
				<table width="100%" border="0">
					<tr class="heading_table">
						<td width="100px"><B>Priority</B></td>
                        <td width="100px"><B>Ringtime</B></td>
						<td width="400px"><B>Devices (Name1, Name2...)</B></td>
						<td width="5px">&nbsp;</td>
						<td>&nbsp;</td>
                        <td width="40px">&nbsp;</td>
					</tr>
					<?php $_from = $this->_tpl_vars['call_routings']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['call_routing']):
?>
					<tr>
						<td width="100px"><input id="cr_priority_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" name="cr_priority_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" type="text" value="<?php echo $this->_tpl_vars['call_routing']['priority']; ?>
" size="6"></td>
						<td width="100px"><input id="cr_ring_time_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" name="cr_ring_time_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" type="text" value="<?php echo $this->_tpl_vars['call_routing']['ring_time']; ?>
" size="6"></td>
                        <td width="400px"><input id="cr_sip_accounts_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" name="cr_sip_accounts_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" type="text" value="<?php echo $this->_tpl_vars['call_routing']['sip_accounts']; ?>
" size="80"></td>
						<td width="5px">&nbsp;</td>
						<td>&nbsp;</td>
                        <td width="40px">
                            <input id="cr_id_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" name="cr_id_<?php echo $this->_tpl_vars['call_routing']['_index']; ?>
" type="hidden" value="<?php echo $this->_tpl_vars['call_routing']['id']; ?>
">
                            <a href="javascript:call_routing_delete(<?php echo $this->_tpl_vars['call_routing']['id']; ?>
,<?php echo $this->_tpl_vars['my_id']; ?>
,'apartments.php','Delete Call Routing?')">
                                <img border="0" src="images/delete.gif" title="Delete Call Routing"></a>
                        </td>
					</tr>
					<?php endforeach; endif; unset($_from); ?>
				</table>
			</td>
		</tr>
	</table>
	<?php endif; ?>
</form>