<?php

	$hardware = "";
	
	$dsize_idm = 5171200;
	$dsize_idm_raspi = 1310720;
	$dsize_idm_atom = 3092480;
	$version_new = "1.6.0";
	$version_date_new = "21/12/2015";
	
	chdir("/");
		
	echo "check if raspi or atom\r\n";
	if (file_exists("/usr/iDorMobile/data/config.raspi")) {
		$hardware = "raspi";
	} else if (file_exists("/usr/iDorMobile/data/config.atom")) {
		$hardware = "atom";
	} else {
		echo "Hardware not supported!!!\r\n";
	}
	
	if (strlen($hardware) > 0) {

		echo "Hardware: ".$hardware."\r\n";
	
		$error = 0;
		
		if (file_exists("/idm.tar")) {
			$dsize = filesize("/idm.tar");
			if ($dsize != $dsize_idm) {
				echo "file size of idm.tar not correct\r\n";
				$error++;
			}
			if ($hardware == "raspi") {
				if (file_exists("/idm_raspi.tar")) {
					$dsize = filesize("/idm_raspi.tar");
					if ($dsize != $dsize_idm_raspi) {
						echo "file size of idm_raspi.tar not correct\r\n";
						$error++;
					}
				} else {
					echo "file idm_raspi.tar not found\r\n";
					$error++;
				}
			} else if ($hardware == "atom") {
				if (file_exists("/idm_atom.tar")) {
					$dsize = filesize("/idm_atom.tar");
					if ($dsize != $dsize_idm_atom) {
						echo "file size of idm_atom.tar not correct\r\n";
						$error++;
					}
				} else {
					echo "file idm_atom.tar not found\r\n";
					$error++;
				}
			} else {
				echo "Hardware not supported!!!\r\n";
			}
		} else {
			echo "file idm.tar not found\r\n";
			$error++;
		}
		
		if ($error == 0) {
			
			exec("rm /usr/iDorMobile/system/base_script.sh");
			exec("rm /usr/iDorMobile/system/idor_device_status");
			exec("rm /usr/iDorMobile/system/scripts/idor_update.sh");
			exec("rm /usr/iDorMobile/webgui/idorgui -r");
			exec("mkdir /usr/iDorMobile/webgui/idorgui");
			exec("chmod ugo+rw /usr/iDorMobile/webgui/idorgui");			
			exec("mkdir /usr/iDorMobile/webgui/idorgui/update");
			exec("chmod ugo+rw /usr/iDorMobile/webgui/idorgui/update");
			exec("mkdir /usr/iDorMobile/webgui/idorgui/temp");
			exec("chmod ugo+rw /usr/iDorMobile/webgui/idorgui/temp");
			
			echo "untar idm.tar\r\n";
			exec("tar -xvf /idm.tar");
			
			if ($hardware == "raspi") {
				echo "untar idm_raspi.tar\r\n";
				exec("tar -xvf /idm_raspi.tar");
			} else if ($hardware == "atom") {
				echo "untar idm_atom.tar\r\n";
				exec("tar -xvf /idm_atom.tar");
			}
			
			$arr = array();
			exec("grep '/usr/iDorMobile/system/scripts/job_calls_clean.php' /etc/crontab",$arr);
			if (count($arr) == 0) {
				exec("echo '0 4 * * * root /usr/iDorMobile/system/scripts/job_calls_clean.php > /dev/null' >> /etc/crontab");
			}
			
			require_once("/usr/iDorMobile/system/scripts/dbcore.php");
			
			if ($cn = db_open()) {

				echo "update and change database\r\n";
			
				$stmt = "ALTER TABLE apartments CHANGE number number VARCHAR(20) NOT NULL";
				mysql_query($stmt);

				$stmt  = "CREATE TABLE settings2 (";
				$stmt .= "id int(11) NOT NULL AUTO_INCREMENT,";
				$stmt .= "name varchar(255) NOT NULL,";
				$stmt .= "value varchar(255) NOT NULL,";
				$stmt .= "PRIMARY KEY (id)";
				$stmt .= ")";
				mysql_query($stmt);
				
				$stmt  = "CREATE TABLE calls (";
				$stmt .= "id int(11) NOT NULL AUTO_INCREMENT,";
				$stmt .= "datetime bigint(20) NOT NULL,";
				$stmt .= "apartment_id int(11) NOT NULL,";
				$stmt .= "caller int(11) NOT NULL,";
				$stmt .= "caller_name varchar(40) NOT NULL,";
				$stmt .= "called int(11) NOT NULL,";
				$stmt .= "called_name varchar(40) NOT NULL,";
				$stmt .= "answered int(11) NOT NULL,";
				$stmt .= "answered_name varchar(40) NOT NULL,";
				$stmt .= "status varchar(20) NOT NULL,";
				$stmt .= "PRIMARY KEY (id),";
				$stmt .= "KEY datetime (datetime),";
				$stmt .= "KEY apartment_id (apartment_id)";
				$stmt .= ")";
				mysql_query($stmt);

				$stmt = "ALTER TABLE apartments ADD contact_number_use INT NOT NULL DEFAULT '0'";
				mysql_query($stmt);

				$stmt = "ALTER TABLE apartments ADD password VARCHAR(20) NULL DEFAULT 'password'";
				mysql_query($stmt);

				$stmt = "Select * from settings2 where name='language_timezone'";
				if ($s = mysql_query($stmt)) {
					if (!$r = mysql_fetch_object($s)) {
						$stmt  = "insert into settings2 set "; 
						$stmt .= "name='language_timezone',";
						$stmt .= "value='America/Chicago'";
						mysql_query($stmt);
					}
					mysql_free_result($s);
				}

				$stmt  = "update templates set ";
				$stmt .= "template_data='";
				$stmt .= "auto lo\r\n";
				$stmt .= "iface lo inet loopback\r\n";
				$stmt .= "\r\n";
				$stmt .= "auto eth0\r\n";
				$stmt .= "iface eth0 inet static\r\n";
				$stmt .= "address %NW_ADDRESS%\r\n";
				$stmt .= "netmask %NW_SUBNETMASK%\r\n";
				$stmt .= "%NW_GATEWAY%\r\n";
				$stmt .= "\r\n' ";
				$stmt .= "where description='network_interfaces_static'";
				mysql_query($stmt);

				$stmt = "ALTER TABLE apartments ADD config_key VARCHAR(40) NULL";
				mysql_query($stmt);
				
				$stmt = "select * from apartments";
				if ($s = mysql_query($stmt)) {
					while ($r = mysql_fetch_object($s)) {
						if (strlen($r->config_key) == 0) {
							$new_key = substr(md5(rand()),0,20);
							$stmt = "update apartments set config_key='".$new_key."' where id='".$r->id."'";
							mysql_query($stmt);
						}
					}
					mysql_free_result($s);
				}
								
				$stmt = "Select * from users where username='manage'";
				if ($s = mysql_query($stmt)) {
					if ($r = mysql_fetch_object($s)) {
						$stmt = "update users set level='10' where name='manage'";
						mysql_query($stmt);
					} else {
						$stmt  = "insert into users set ";
						$stmt .= "username='manage',";
						$stmt .= "password='manage',";
						$stmt .= "level='10'";
						mysql_query($stmt);
					}
					mysql_free_result($s);
				}

				$stmt = "Select * from users where username='admin'";
				if ($s = mysql_query($stmt)) {
					if ($r = mysql_fetch_object($s)) {
						$stmt = "update users set level='20' where username='admin'";
						mysql_query($stmt);
					} else {
						$stmt  = "insert into users set ";
						$stmt .= "username='siedle',";
						$stmt .= "password='idormobile',";
						$stmt .= "level='20'";
						mysql_query($stmt);
					}
					mysql_free_result($s);
				}

				$stmt = "Select * from users where username='siedle'";
				if ($s = mysql_query($stmt)) {
					if ($r = mysql_fetch_object($s)) {
						$stmt = "update users set level='30' where username='siedle'";
						mysql_query($stmt);
					} else {
						$stmt  = "insert into users set ";
						$stmt .= "username='siedle',";
						$stmt .= "password='idormobile',";
						$stmt .= "level='30'";
						mysql_query($stmt);
					}
					mysql_free_result($s);
				}
				
				$stmt = "Select * from users where username='telpho'";
				if ($s = mysql_query($stmt)) {
					if ($r = mysql_fetch_object($s)) {
						$stmt = "update users set level='40', password='MissioniDor' where username='telpho'";
						mysql_query($stmt);
					} else {
						$stmt  = "insert into users set ";
						$stmt .= "username='telpho',";
						$stmt .= "password='MissioniDor',";
						$stmt .= "level='40'";
						mysql_query($stmt);
					}
					mysql_free_result($s);
				}
				
				$stmt = "update settings set value='".$version_new."' where name='version'";
				mysql_query($stmt);
				
				$stmt = "update settings set value='".$version_date_new."' where name='version_date'";
				mysql_query($stmt);
				
				
				db_close($cn);
			}
			
			exec("/etc/init.d/apache2 restart");
			exec("/usr/iDorMobile/system/scripts/sys_getinfos");
			exec("/usr/iDorMobile/system/scripts/sip_settings");
		}
	}
	
	echo "ready\r\n";
	
	exec("rm /*.tar");
	exec("rm /idormobile-update-to-1.6.0.php");

function download_file($getpath,$fname,$fsize,$untar) {
	$ret = true;
	
	if (file_exists("/".$fname)) {
		exec("rm /".$fname);
	}
	
	exec("wget 176.28.15.144/iDorMobile/update/".$getpath."/".$fname);
	if (file_exists("/".$fname)) {
		$dsize = filesize("/".$fname);
		echo "downloaded file: ".$fname.": size: ".$fsize." ".$dsize."\r\n";
		if ($dsize != $fsize) {
			$ret = false;
			exec("rm /".$fname);
		} else {
			if ($untar) {
				exec("tar -xvf /".$fname);
				exec("rm /".$fname);
			}
		}
	} else {
		$ret = false;
		if (file_exists("/".$fname)) {
			exec("rm /".$fname);
		}
	}
	
	return $ret;
}
	
?>
