<?php
    session_start();

    $s =  $_SERVER['HTTP_REFERER'];
    if (strpos($s,"/iDorMobile/idorgui/") > 0) {
	if (strpos($s,"/iDorMobile/idorgui/index.php") > 0) {
		$S_SESSION['auth'] = "0";
	} else {
        	$_SESSION['auth'] = 1;
	}
    }

    if( !isset($_SESSION['auth']) || $_SESSION['auth'] != 1 ) {
        header('Location: index.php');
        die;
    }

?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('appName');
?>
        </title>
        <link rel="stylesheet" href="/iDorMobile/ConfigServer/stylesheets/style.css">
        <link rel="stylesheet" href="/iDorMobile/ConfigServer/stylesheets/configPage.css">
        <link rel="stylesheet" href="/iDorMobile/ConfigServer/javascripts/dojo/1.9.2/dijit/themes/claro/claro.css">
        <script>dojoConfig = {async: true, parseOnLoad: true}</script>
        <script src="/iDorMobile/ConfigServer/javascripts/dojo/1.9.2/dojo/dojo.js"></script>
        <script>
            require(["dojo/parser", "dijit/form/Form", "dijit/form/Button", "dijit/form/TextBox", "dijit/form/NumberTextBox", "dijit/form/ValidationTextBox"]);
        </script>
        <script src="/iDorMobile/ConfigServer/javascripts/iDor/test.js"></script>
        <script src="/iDorMobile/ConfigServer/javascripts/iDor/toolbar.js"></script>
        <script src="/iDorMobile/ConfigServer/javascripts/iDor/cfgBlocksConnector.js"></script>
        <script type="text/javascript" src="/iDorMobile/ConfigServer/javascripts/iDor/formsSupport.js"></script>
    </head>
    <body class="claro">
        <form method="post" id="logout" action="index.php">
            <input type="hidden" name="logout" value="true" />
        </form>
        <form method="post" id="sipcfglogin" action="/iDorMobile/idorgui/web/app.php/secure/login_check">
            <input type="hidden" id="form_username" name="_username" required="required" value="admin" />
            <input type="hidden" id="form_password" name="_password" required="required" value="idormobile" />
        </form>
        <div id="appLayout" data-dojo-type="dijit/layout/BorderContainer" class="configPageMain">
            <div id="idor-logo" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region: 'top'">
                <img src="/iDorMobile/ConfigServer/images/logo.png">
            </div>
            <div id="idor-navigator" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region: 'leading', splitter: true">
                <div id="idor-nav">
                    <div id="idor-nav-title">
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('navigation');
?>
                    </div>
                    <div class="idor-nav-refresh">
                        <button data-dojo-type="dijit/form/Button" data-dojo-props="iconClass: 'refresh-button-icon'" showLabel="false" type="button" baseClass="refresh-button">Refresh
                        <script type="dojo/on" data-dojo-event="click" data-dojo-args="evt">
                            require(["dijit/Tree", "dojo/dom"], function(dom){
                                    dijit.byId("config-blocks-tree").destroy(true);
                                    createCfgBlocksTree();
                            });

                        </script>
                        </button>
                    </div>
                </div>
                <div id="config-blocks-tree"></div>
            </div>
            <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region: 'center'">
                <div id="toolbar" dojoType="dijit.Toolbar">
                    <div dojoType="dijit.form.Button" iconClass="dijitEditorIcon dijitEditorIconNewPage" showLabel="false">New
                        <script type="dojo/on" data-dojo-event="click" data-dojo-args="evt">
                            
                            if (dijit.byId("config-blocks-tree").selectedItem != null) {
                                if (dijit.byId("config-blocks-tree").attr("selectedItem").parent == "camera" || 
                                    dijit.byId("config-blocks-tree").attr("selectedItem").id == "camera") {
                                    getForm('camera', 0, ['camName', 'camUrl', 'camHostname', 'camPort']);
                                } else if (dijit.byId("config-blocks-tree").attr("selectedItem").parent == "DTMF" || 
                                    dijit.byId("config-blocks-tree").attr("selectedItem").id == "DTMF") {
                                    getForm('DTMF', 0, ['cmdName', 'cmdDtmfTone', 'cmdDtmfOnTone', 'cmdDtmfOffTone']);
                                } else if (dijit.byId("config-blocks-tree").attr("selectedItem").parent == "WR" || 
                                    dijit.byId("config-blocks-tree").attr("selectedItem").id == "WR") {
                                    getForm('WR', 0, ['cmdName', 'cmdRelayHost', 'cmdRelayRelay']);
                                } else if (dijit.byId("config-blocks-tree").attr("selectedItem").parent == "door" || 
                                    dijit.byId("config-blocks-tree").attr("selectedItem").id == "door") {
                                    getForm('door', 0, ['doorName', 'doorMsn']);
                                } else if (dijit.byId("config-blocks-tree").attr("selectedItem").parent == "sipDefault" || 
                                    dijit.byId("config-blocks-tree").attr("selectedItem").id == "sipDefault") {
                                    getForm('sipDefault', 0, ['sipDefName', 'sipDefSIPServerURL', 'sipDefSIPServerPort', 'sipDefMainDoorMSN', 'sipDefCallButtonName', 'InbandDTMFClockRate','InbandDTMFChannels','InbandDTMFSamplesPerFrame','InbandDTMFBitsPerSample']);
                                } else if (dijit.byId("config-blocks-tree").attr("selectedItem").parent == "sipDefault" || 
                                    dijit.byId("config-blocks-tree").attr("selectedItem").id == "cfgBundle") {
                                    getForm('cfgBundle', 0, ['cfgBundleName']);
                                }
                            }
                        </script>
                    </div>
                    <span dojoType="dijit.ToolbarSeparator"></span>
                    <div dojoType="dijit.form.Button"  showLabel="true"> 
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('iDmServerLogin');
?>
                        <script type="dojo/on" data-dojo-event="click" data-dojo-args="evt">
                            document.getElementById('sipcfglogin').submit();
                        </script>
                    </div>
                    <span dojoType="dijit.ToolbarSeparator"></span>
                    <div dojoType="dijit.form.Button" iconClass="logout" iconClass="dijitEditorIcon dijitIconTask" showLabel="false">Logout
                        <script type="dojo/on" data-dojo-event="click" data-dojo-args="evt">
                            document.getElementById('logout').submit();
                        </script>
                    </div>

                </div>
                <div id="cfg-def-block">
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('appName');
?>
                </div>
            </div>
            <div id="idor-helper" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region: 'trailing'">
                <div id="idor-help-title">
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('hints');
?>
                </div>
                <div id="idor-help-text">
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('startHint');
?>
                </div>
            </div>
            <div id="idor-cfg-bottom" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region: 'bottom'">
<?php
include_once 'utils/GuiUtils.php';

echo iDorMobile\GuiUtils::getSessionLocalizedString('copyright');
?>
            </div>
        </div>
    </body>
</html>

